echo off
REM
REM Counting transaction output files
REM
                set /p MAX="Number of Streams: "
                set ROOT=Dur_-_ACID_Transactions_Stream_
                set /a STR=1
                set /a TOT=0
                echo Counting %MAX% streams > aa_File_Count.out

:LOOP_DO
    if %STR% GTR %MAX% goto :LOOP_END
                set /a COUNT=0
                set FILES=%ROOT%%STR%.*.out
                echo %FILES%
                For %%M in (%FILES%) do (
                                echo %%M
                                set /a COUNT=COUNT+1
                )

                echo Stream %STR% = %COUNT% >> aa_File_Count.out
                set /a TOT=TOT+COUNT
                set /a STR=STR+1
    goto :LOOP_DO

:LOOP_END
    echo Total = %TOT% >> aa_File_Count.out
    rem exit
